<mat-card class="user-list-card">
  <mat-card-header>
    <mat-card-title class="user-list-card-title">
      {{title}}
      <button mat-icon-button class="more-button" [matMenuTriggerFor]="menu" aria-label="Toggle menu">
        <mat-icon>more_vert</mat-icon>
      </button>
      <mat-menu #menu="matMenu" xPosition="before">
        <button mat-menu-item>Expand</button>
        <button mat-menu-item>Remove</button>
      </mat-menu>
    </mat-card-title>
  </mat-card-header>
  <div class="row user-card-content">
    <mat-card-content class=" col-sm-3 pt-0 mb-2">
      <div class="input-group searchText md-form form-sm form-2 pl-0  ">
        <input (keyup)="applyFilter($event)" class="form-control my-0 py-1 pl-3 purple-border" type="text"
          style="border-right-width: 0px;" placeholder="Search by name or email" aria-label="Search">
        <span class="input-group-addon waves-effect purple lighten-2" id="basic-addon1"><a>
            <i class="fbi bi-search" aria-hidden="true"></i></a></span>
      </div>
    </mat-card-content>
    
    <div class="col-sm-1">
      <div class="dropdown">
        <button class="btn btn-secondary dropdown-toggle custom-toggle text-center" type="button"
          data-bs-toggle="dropdown" aria-expanded="false" data-bs-auto-close="outside">
          Role
        </button>
        <ul class="dropdown-menu">
          <li><label class="dropdown-item" for="Journalist"><input type="checkbox" id="Journalist"
                class="filter-checkbox" (change)="filterby('Journalist', $event)" /> <span
                class="badge rounded-pill text-secondary mx-3">Journalist</span></label></li>
          <li><label for="Member" class="dropdown-item"><input id="Member" type="checkbox" class="filter-checkbox"
                (change)="filterby('Member', $event)" /> <span
                class="badge rounded-pill text-secondary mx-3">Member</span></label></li>
          <li><label for="Writer" class="dropdown-item"><input type="checkbox" id="Writer" class="filter-checkbox"
                (change)="filterby('Writer', $event)" /> <span
                class="badge rounded-pill text-secondary mx-3">Writer</span></label></li>
        </ul>
      </div>
    </div>
    <div class="col-sm-1">
      <div class="dropdown">
        <button class="btn btn-secondary dropdown-toggle custom-toggle" type="button" data-bs-toggle="dropdown"
          aria-expanded="false" data-bs-auto-close="outside">
          Status
        </button>
        <ul class="dropdown-menu">
          <li><label class="dropdown-item" for="Not verified"><input type="checkbox" id="Not verified"
                class="filter-checkbox" (change)="filterby('Not verified', $event)" /> <span
                class="badge rounded-pill text-info mx-3">Not verified</span></label></li>
          <li><label class="dropdown-item" for="Active"><input type="checkbox" id="Active" class="filter-checkbox"
                (change)="filterby('Active', $event)" /> <span
                class="badge rounded-pill text-primary mx-3">Active</span></label></li>
          <li><label class="dropdown-item" for="Suspended"><input type="checkbox" id="Suspended" class="filter-checkbox"
                (change)="filterby('Suspended', $event)" /> <span
                class="badge rounded-pill text-warning mx-3">Suspended</span></label></li>
          <li><label class="dropdown-item" for="Blocked"><input type="checkbox" id="Blocked" class="filter-checkbox"
                (change)="filterby('Blocked', $event)" /> <span
                class="badge rounded-pill text-danger mx-3">Blocked</span></label></li>
          <li><label class="dropdown-item" for="Deleted"><input type="checkbox" class="filter-checkbox" id="Deleted"
                (change)="filterby('Deleted', $event)" /> <span
                class="badge rounded-pill text-secondary mx-3">Deleted</span></label></li>
          <li><label class="dropdown-item" for="Deactivated"><input type="checkbox" class="filter-checkbox"
                id="Deactivated" (change)="filterby('Deactivated', $event)" /> <span
                class="badge rounded-pill text-secondary mx-3">Deactivated</span></label></li>
        </ul>
      </div>
    </div>
    <div class="col-sm-1">
      <div class="dropdown">
        <button class="btn btn-secondary dropdown-toggle custom-toggle" type="button" data-bs-toggle="dropdown"
          aria-expanded="false" data-bs-auto-close="outside">
          Publisher
        </button>
        <ul class="dropdown-menu">
          <li><label class="dropdown-item" for="Formula News"><input type="checkbox" class="filter-checkbox"
                id="Formula News" (change)="filterby('Formula News', $event)" /> <span
                class="badge rounded-pill text-secondary mx-3">Formula News</span></label></li>
        </ul>
      </div>
    </div>
  </div>
  <div class="col-lg-12 mb-2 mt-2 mht user-card-content">
    <div class="row">
      <div  class="col-lg-10">
        <mat-chip-list>
          <mat-chip class="my-2 mx-2" *ngFor="let value of filteredValues">{{value}}
            <i class="fbi bi-x user-select-all" role="button" aria-hidden="true" (click)="removeFromFV(value)"></i></mat-chip>
        </mat-chip-list>
      </div>
      <div class="col-sm-2 ">
        <button class="btn btn-outline-secondary btn-sm text-black"
          style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;font-weight:bold;border-radius: 8px;">Clear
          all Filters</button>
      </div>
    </div>
  </div>
  <div class="col-sm-12 mb-2 mt-2 mht">
  <div class="table-container">
    <table mat-table [dataSource]="users" class="mat-elevation-z8" style="width: 900px">

      <!--- Note that these columns can be defined in any order.
            The actual rendered columns are set as a property on the row definition" -->

      <!-- Position Column -->
      <!-- <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef> ID </th>
        <td mat-cell *matCellDef="let element"> {{element.id}} </td>
      </ng-container> -->

      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef> Name </th>
        <td mat-cell *matCellDef="let element">
          <a [routerLink]="['/userprofile', element.id]"> {{element.name}} </a>
          <div>{{element.email}}</div>
        </td>
      </ng-container>

      <!-- Weight Column -->
<ng-container matColumnDef="role">
        <th mat-header-cell *matHeaderCellDef> Role </th>
        <td mat-cell *matCellDef="let element"> {{element.role}} </td>
      </ng-container>
      
      <!-- Symbol Column -->
      <ng-container matColumnDef="status">
        <th mat-header-cell *matHeaderCellDef> Status </th>
        <td mat-cell *matCellDef="let element"> {{element.status}} </td>
      </ng-container>
      <ng-container matColumnDef="publisher">
        <th mat-header-cell *matHeaderCellDef> Publisher </th>
        <td mat-cell *matCellDef="let element"> {{element.website}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>
  </div>

  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons aria-label="Select page of periodic elements">
  </mat-paginator>
</mat-card>